JmolToJSmolInterface
Date: 2019-10-22

org.jmol.api.js

## Interface JmolToJSmolInterface

- All Superinterfaces:
    javajs.api.js.J2SObjectInterface

      public interface JmolToJSmolInterface
      extends javajs.api.js.J2SObjectInterface

  methods in JSmol JavaScript accessed in Jmol

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `GenericImageDialog` | `consoleGetImageDialog(Viewer vwr, java.lang.String title, java.util.Map<java.lang.String,GenericImageDialog> imageMap)`
    `java.lang.Object` | `loadImage(GenericPlatform platform, java.lang.String echoName, java.lang.String path, byte[] bytes, java.lang.Object f)`
    `void` | `playAudio(JSmolAppletObject applet, java.util.Map<java.lang.String,java.lang.Object> htParams)`
    `void` | `setCursor(JSmolAppletObject html5Applet, int c)`

    - ### Methods inherited from interface javajs.api.js.J2SObjectInterface

      `applyFunc, clearConsole, doAjax, doAjax, getHiddenCanvas, isBinaryUrl, loadFileAsynchronously, newGrayScaleImage, repaint, resizeApplet, saveImage, setCanvasImage, showInfo`

- - ### Method Detail

    - #### loadImage

          java.lang.Object loadImage(GenericPlatform platform,
                                     java.lang.String echoName,
                                     java.lang.String path,
                                     byte[] bytes,
                                     java.lang.Object f)

    - #### consoleGetImageDialog

          GenericImageDialog consoleGetImageDialog(Viewer vwr,
                                                   java.lang.String title,
                                                   java.util.Map<java.lang.String,GenericImageDialog> imageMap)

    - #### setCursor

          void setCursor(JSmolAppletObject html5Applet,
                         int c)

    - #### playAudio

          void playAudio(JSmolAppletObject applet,
                         java.util.Map<java.lang.String,java.lang.Object> htParams)